#include <bits/stdc++.h>
using namespace std;

int n, br, brp, brn, brpar, kraj;
int niz[200005], pres[200005], direktni[1000005], sme[1000005];
bool res = false;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> n;
    for(int i = 1; i <= n; i++){
        cin >> niz[i];
        direktni[niz[i]] = 1;
        if(abs(niz[i]) % 2 == 0) brpar++;
        if(niz[i] > 0) brp++;
        else brn++;
    }
    if(brpar == n){
        if(brp > brn){
            cout << n << '\n';
            for(int i = 1; i < brp; i++){
                cout << 12;
            }
            cout << 1 << '\n';
        }
        else if(brn > brp){
            cout << n << '\n';
            for(int i = 1; i < brn; i++){
                cout << 21;
            }
            cout << 2 << '\n';
        }
        else{
            cout << n << '\n';
            for(int i = 1; i <= brp; i++){
                cout << 12;
            }
            cout << '\n';
        }
    }
    else if(brp == n){
        for(int i = 1; i <= 10e9; i++){
            if(direktni[i] == 1){
                pres[i] = pres[i-1] + 1;
            }
            else{
                pres[i] = pres[i-1];
            }
            if(pres[i] == n){
                kraj = i;
                break;
            }
        }
        for(int i = 1; i <= kraj; i++){
            if(i % 2 == 1 && pres[i] > (i + 1) / 2){
                //cout << i << " " << pres[i] << '\n';
                for(int j = 1; j < pres[i]; j++){
                    cout << 12;
                    res = true;
                }
                break;
            }
            else if(i % 2 == 0 && pres[i] > (i / 2)){
                //cout << i << " " << pres[i] << '\n';
                for(int j = 1; j < pres[i]; j++){
                    cout << 12;
                    res = true;
                }
                break;
            }
        }
        if(res == false){
            if(n == 1){
                cout << 1;
            }
            else if(n % 2 == 0){
                for(int j = 1; j < n; j++){
                    cout << 12;
                }
                cout << 1;
            }
            else{
                for(int j = 1; j < n; j++){
                    cout << 12;
                }
                cout << 1;
            }
        }
    }
    else if(brn == n){
        cout << n << '\n';
        for(int i = 1; i < n; i++){
            cout << 23;
        }
        cout << 2 << '\n';
    }
    else cout << n << '\n';
    //else if(n <= 10){
    //    int p = 0;
    //    int mini = 999999;
    //    for(int i = 1; i <= n; i++){
    //        if(abs(niz[i] - p) < mini){
    //            mini = abs(niz[i] - p);
    //            gdemini = niz[i];
    //        }
    //    }
    //    if(gdemini > 0){
    //        if(zadpotez != 1){
    //            cout << 1;
    //            zadpotez = 1;
    //        }
    //    }
    //}




    return 0;
}